unit IMUnit;

interface

uses ReuUnit, SysUtils, Graphics, jpeg;

const
  APP_NAME = 'Image Mix';
  LC_DRAGS = 0;
  LC_FLIP_HORZ = 1;
  LC_FLIP_VERT = 2;
  LC_ROTATE_90 = 3;
  LC_ROTATE_270 = 4;
  MAX_COLS = 99; MAX_ROWS = 99;

function IsBitmap (const fName : TFileName) : boolean;
function IsBitmapOrJpeg (const fName : TFileName) : boolean;
function PFtoJpegPF (pf : TPixelFormat) : TJpegPixelFormat;

implementation

function IsBitmap (const fName : TFileName) : boolean;
begin
  result := StrCmpi (ExtractFileExt (fName), '.bmp');
end;

function IsBitmapOrJpeg (const fName : TFileName) : boolean;
var ext : TFileName;
begin
  ext := ExtractFileExt (fName);
  result := StrCmpi (ext, '.bmp') or StrCmpi (ext, '.jpg')
    or StrCmpi (ext, '.jpeg');
end;

function PFtoJpegPF (pf : TPixelFormat) : TJpegPixelFormat;
begin
  if pf = pf8Bit then
    result := jf8Bit
  else
    result := jf24Bit;
end;

end.
